SDL_IOWhence(3type)

NAME
SDL_IOWhence - Possible whence values for SDL_IOStream seeking.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

typedef enum SDL_IOWhence
{
    SDL_IO_SEEK_SET,  /**< Seek from the beginning of data */
    SDL_IO_SEEK_CUR,  /**< Seek relative to current read point */
    SDL_IO_SEEK_END   /**< Seek relative to the end of data */
} SDL_IOWhence;

DESCRIPTION
These map to the same "whence" concept that fseek or lseek use in the standard C runtime.

AVAILABILITY
This enum is available since SDL 3.2.0.